This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 991828 - [abrt] pitivi-0.15.2-2.fc18: operation.py:97:_makeBin:TypeError: GstGhostPad.__init__() argument 2 must be gst.Pad, not None
[abrt] pitivi-0.15.2-2.fc18: operation.py:97:_makeBin:TypeError: GstGhostPad....
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: pitivi (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:dfe4c92cd4465721e72360c2df4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-04 13:52 EDT by Radek Valasek
Modified: 2014-01-28 12:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-28 12:32:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.24 KB, text/plain)
2013-08-04 13:52 EDT, Radek Valasek
no flags Details
File: core_backtrace (681 bytes, text/plain)
2013-08-04 13:52 EDT, Radek Valasek
no flags Details
File: environ (1.66 KB, text/plain)
2013-08-04 13:53 EDT, Radek Valasek
no flags Details

  None (edit)
Description Radek Valasek 2013-08-04 13:52:50 EDT
Version-Release number of selected component:
pitivi-0.15.2-2.fc18

Additional info:
reporter:       libreport-2.1.5
cmdline:        python /usr/bin/pitivi
executable:     /usr/bin/pitivi
kernel:         3.9.11-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
operation.py:97:_makeBin:TypeError: GstGhostPad.__init__() argument 2 must be gst.Pad, not None

Traceback (most recent call last):
  File "/usr/share/pitivi/python/pitivi/ui/clipproperties.py", line 334, in _dragDropCb
    self.timeline_objects)
  File "/usr/share/pitivi/python/pitivi/timeline/timeline.py", line 1780, in addEffectFactoryOnObject
    track.addTrackObject(copy_track_obj)
  File "/usr/share/pitivi/python/pitivi/timeline/track.py", line 1162, in addTrackObject
    track_object.makeBin()
  File "/usr/share/pitivi/python/pitivi/timeline/track.py", line 662, in makeBin
    bin = self.factory.makeBin(self.stream)
  File "/usr/share/pitivi/python/pitivi/factories/base.py", line 691, in makeBin
    bin = self._makeBin(input_stream)
  File "/usr/share/pitivi/python/pitivi/factories/operation.py", line 97, in _makeBin
    bin.add_pad(gst.GhostPad("src", fx.get_pad("src")))
TypeError: GstGhostPad.__init__() argument 2 must be gst.Pad, not None

Local variables in innermost frame:
fx: <__main__.ladspa-autoPhaser object (effect) at 0x3714a00>
bin: <gst.Bin object (bin31) at 0x37149b0>
self: <pitivi.factories.operation.EffectFactory object at 0x1d06f10>
args: (<pitivi.stream.AudioStream object at 0x1d0e110>,)
csp: <gst.Bin object (bin32) at 0x3714a50>
Comment 1 Radek Valasek 2013-08-04 13:52:54 EDT
Created attachment 782570 [details]
File: backtrace
Comment 2 Radek Valasek 2013-08-04 13:52:58 EDT
Created attachment 782571 [details]
File: core_backtrace
Comment 3 Radek Valasek 2013-08-04 13:53:01 EDT
Created attachment 782572 [details]
File: environ
Comment 4 Fedora End Of Life 2013-12-21 09:25:58 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Jean-François Fortin Tam 2014-01-28 12:32:17 EST
Hi there,

As an upstream maintainer, I expect this issue to be fixed in the new Pitivi.
Version 0.92 is now available as an update for Fedora 20
and we would like to encourage you to test it.

If you can reproduce this bug against 0.92 or newer, please update this
bug report accordingly with detailed instructions to reproduce the bug,
sample files/projects in xges format, etc.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.